--- /dev/null
+#!/bin/bash
+set -e
+case "$1" in
+--atleast-pkgconfig-version) exec pkg-config "$@";;
+esac
+
+package="${@:$#}"
+package="${package%% *}"
+cfgdir=$HOME/work/Rump-kernels/prefix/lib/pkgconfig
+cfgfile="$cfgdir/$package".pc
+if test -e "$cfgfile"; then
+ PKG_CONFIG_PATH="$cfgdir" exec pkg-config "$@"
+else
+ echo >&2 "stunt pkgconfig: $package not found (looked in $cfgfile) ($*)"
+ exit 127
+fi
--- /dev/null
+wget http://ftp.gnome.org/pub/gnome/sources/glib/2.32/glib-2.32.4.tar.xz
+
+../rumpuser-xen/app-tools/rumpapp-xen-configure ./configure --prefix=$HOME/work/Rump-kernels/prefix
+
+PKG_CONFIG=/u/iwj/work/Rump-kernels/junk/pkg-config ../rumpuser-xen/app-tools/rumpapp-xen-configure ./configure --prefix=$HOME/work/Rump-kernels/prefix
+
+PKG_CONFIG=/u/iwj/work/Rump-kernels/junk/pkg-config ../rumpuser-xen/app-tools/rumpapp-xen-configure ./configure --prefix=$HOME/work/Rump-kernels/prefix --disable-shared
+
+../rumpuser-xen/app-tools/rumpapp-xen-make -j4
--- /dev/null
+#!/bin/sh
+
+set -e
+
+x () {
+ echo >&2 "x $*"
+ "$@"
+}
+
+notedir () {
+ local dir=$1
+ echo "==================== $dir ===================="
+}
+
+gettar () {
+ local dir=$1
+ local url=$2
+ notedir $dir
+ if ! test -d $dir; then
+ local dlfile="${url##*/}"
+ rm -f "$dlfile"
+ wget "$url"
+ rm -rf d; mkdir d; cd d
+ tar axf ../"$dlfile"
+ cd ..
+ mv d/$dir ..
+ fi
+}
+
+stdconfigure () {
+ local dir=$1
+ cd $dir
+ PKG_CONFIG=/u/iwj/work/Rump-kernels/junk/pkg-config \
+ x ../rumpuser-xen/app-tools/rumpapp-xen-configure ./configure \
+ --prefix=$HOME/work/Rump-kernels/prefix --disable-shared
+ cd ..
+}
+
+stdmake () {
+ local dir=$1
+ cd $dir
+ x ../rumpuser-xen/app-tools/rumpapp-xen-make -j4
+ cd ..
+}
+
+stdmakeinstall () {
+ local dir=$1
+ cd $dir
+ x ../rumpuser-xen/app-tools/rumpapp-xen-make install
+ cd ..
+}
+
+want () {
+ local dir=$1
+ local url=$2
+ gettar $dir "$url"
+ stdconfigure $dir
+ stdmake $dir
+ stdmakeinstall $dir
+}
+
+gettar zlib-1.2.8 http://zlib.net/zlib-1.2.8.tar.gz
+CC=$HOME/work/Rump-kernels/rumpuser-xen/app-tools/rumpapp-xen-cc \
+ ./configure --static --prefix=$HOME/work/Rump-kernels/prefix \
+ --libdir=$HOME/work/Rump-kernels/prefix/lib \
+ --includedir=$HOME/work/Rump-kernels/prefix/include
+
+
+
+want libffi-3.1 ftp://sourceware.org/pub/libffi/libffi-3.1.tar.gz
+want glib-2.32.4 http://ftp.gnome.org/pub/gnome/sources/glib/2.32/glib-2.32.4.tar.xz